Skip to content

Retrieve metadata of a specific component record as JSON or XML. To retrieve as MDL, see Retrieve Component Record MDL. Not all component types are eligible for record description retrieval. For details, see the Describe row of the Supported Operations table in the Component Type Reference.

GET/api/{version}/configuration/{component_type_and_record_name}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{component_type_and_record_name}The component type name (Picklist, Docfield, Doctype, etc.) followed by the name of the record from which to retrieve metadata. The format is {Componenttype}.{record_name}. For example, Picklist.color__c. Find this with the Retrieve Component Record Collection endpoint.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v22.1/configuration/Picklist.color__c
{ "responseStatus": "SUCCESS", "data": { "name": "color__c", "label": "Color", "Picklistentry": [ { "name": "red__c", "value": "Red", "order": 1, "active": true }, { "name": "blue__c", "value": "Blue", "order": 2, "active": true }, { "name": "green__c", "value": "Green", "order": 3, "active": true } ], "active": true, "used_in": [] } }

On SUCCESS, the response contains the complete definition for a specific component record. If a field returns as blank or null, it means the record has no value for that field.